Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2117817 - removal of grubby-deprecated is incorrectly handled
Summary: removal of grubby-deprecated is incorrectly handled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grubby
Version: 36
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker IoT
TreeView+ depends on / blocked
 
Reported: 2022-08-12 02:16 UTC by Dennis Gilmore
Modified: 2022-09-01 09:39 UTC (History)
6 users (show)

Fixed In Version: grubby-8.40-67.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-01 09:39:41 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Dennis Gilmore 2022-08-12 02:16:33 UTC
Description of problem:

updating a fedora 36 system fails due to the removal of grubby-deprecated

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.dnf update 
2.
3.

Actual results:
# yum update
Last metadata expiration check: 3:59:12 ago on Thu 11 Aug 2022 10:11:00 PM UTC.
Dependencies resolved.
==============================================================================================================================================================================================================================================
 Package                                                Architecture                                            Version                                                         Repository                                               Size
==============================================================================================================================================================================================================================================
Upgrading:
 grubby                                                 armv7hl                                                 8.40-64.fc36                                                    updates                                                  32 k

Transaction Summary
==============================================================================================================================================================================================================================================
Upgrade  1 Package

Total download size: 32 k
Is this ok [y/N]: y
Downloading Packages:
grubby-8.40-64.fc36.armv7hl.rpm                                                                                                                                                                                15 kB/s |  32 kB     00:02    
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                          12 kB/s |  32 kB     00:02     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'yum clean packages'.
Error: Transaction test error:
  file /usr/sbin/grubby from install of grubby-8.40-64.fc36.armv7hl conflicts with file from package grubby-deprecated-8.40-57.fc36.armv7hl
  file /usr/sbin/installkernel from install of grubby-8.40-64.fc36.armv7hl conflicts with file from package grubby-deprecated-8.40-57.fc36.armv7hl
  file /usr/share/man/man8/grubby.8.gz from install of grubby-8.40-64.fc36.armv7hl conflicts with file from package grubby-deprecated-8.40-57.fc36.armv7hl


Expected results:
grubby to replace grubby-deprecated

Additional info:

Comment 1 Peter Robinson 2022-08-17 09:45:10 UTC
This is also causing issues on ARMv7 IoT composes:

2022-08-16 17:59:46,295: Preparing transaction from installation source
Preparing transaction from installation source
2022-08-16 17:59:55,244: The transaction process has ended abruptly: Transaction test error:
  file /usr/sbin/grubby conflicts between attempted installs of grubby-deprecated-8.40-57.fc36.armv7hl and grubby-8.40-64.fc36.armv7hl
  file /usr/sbin/installkernel conflicts between attempted installs of grubby-deprecated-8.40-57.fc36.armv7hl and grubby-8.40-64.fc36.armv7hl

The transaction process has ended abruptly: Transaction test error:
  file /usr/sbin/grubby conflicts between attempted installs of grubby-deprecated-8.40-57.fc36.armv7hl and grubby-8.40-64.fc36.armv7hl
  file /usr/sbin/installkernel conflicts between attempted installs of grubby-deprecated-8.40-57.fc36.armv7hl and grubby-8.40-64.fc36.armv7hl

2022-08-16 17:59:55,245: template command error in runtime-install.tmpl:
template command error in runtime-install.tmpl:
2022-08-16 17:59:55,245:   run_pkg_transaction
  run_pkg_transaction
2022-08-16 17:59:55,250:   dnf.exceptions.Error: Transaction test error:
  file /usr/sbin/grubby conflicts between attempted installs of grubby-deprecated-8.40-57.fc36.armv7hl and grubby-8.40-64.fc36.armv7hl
  file /usr/sbin/installkernel conflicts between attempted installs of grubby-deprecated-8.40-57.fc36.armv7hl and grubby-8.40-64.fc36.armv7hl
  dnf.exceptions.Error: Transaction test error:
  file /usr/sbin/grubby conflicts between attempted installs of grubby-deprecated-8.40-57.fc36.armv7hl and grubby-8.40-64.fc36.armv7hl
  file /usr/sbin/installkernel conflicts between attempted installs of grubby-deprecated-8.40-57.fc36.armv7hl and grubby-8.40-64.fc36.armv7hl
Traceback (most recent call last):
  File "/usr/sbin/lorax", line 223, in <module>
    main()
  File "/usr/sbin/lorax", line 204, in main
    lorax.run(dnfbase, opts.product, opts.version, opts.release,
  File "/usr/lib/python3.10/site-packages/pylorax/__init__.py", line 272, in run
    rb.install()
  File "/usr/lib/python3.10/site-packages/pylorax/treebuilder.py", line 145, in install
    self._runner.run("runtime-install.tmpl")
  File "/usr/lib/python3.10/site-packages/pylorax/ltmpl.py", line 149, in run
    self._run(commands)
  File "/usr/lib/python3.10/site-packages/pylorax/ltmpl.py", line 168, in _run
    f(*args)
  File "/usr/lib/python3.10/site-packages/pylorax/ltmpl.py", line 724, in run_pkg_transaction
    self.dbo.do_transaction(display=display)
  File "/usr/lib/python3.10/site-packages/dnf/base.py", line 1004, in do_transaction
    raise dnf.exceptions.Error(errstring)
dnf.exceptions.Error: Transaction test error:
  file /usr/sbin/grubby conflicts between attempted installs of grubby-deprecated-8.40-57.fc36.armv7hl and grubby-8.40-64.fc36.armv7hl
  file /usr/sbin/installkernel conflicts between attempted installs of grubby-deprecated-8.40-57.fc36.armv7hl and grubby-8.40-64.fc36.armv7hl

2022-08-16 17:59:55,256: Cleaning up tempdir - /var/tmp/lorax/lorax.g9_2_7sy
+ EXIT_CODE=1

Comment 2 Fedora Update System 2022-08-17 17:28:42 UTC
FEDORA-2022-a3480ad0d3 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3480ad0d3

Comment 3 Fedora Update System 2022-08-18 02:55:39 UTC
FEDORA-2022-a3480ad0d3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a3480ad0d3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3480ad0d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Dennis Gilmore 2022-08-18 15:16:59 UTC
[root@baal ~]# dnf upgrade --enablerepo=updates-testing grubby
Last metadata expiration check: 0:05:56 ago on Thu 18 Aug 2022 03:08:40 PM UTC.
Dependencies resolved.

 Problem: problem with installed package extlinux-bootloader-1.2-15.fc36.armv7hl
  - package extlinux-bootloader-1.2-15.fc36.armv7hl requires grubby-deprecated, but none of the providers can be installed
  - package grubby-8.40-65.fc36.armv7hl obsoletes grubby-deprecated < 8.40-65.fc36 provided by grubby-deprecated-8.40-57.fc36.armv7hl
  - cannot install the best update candidate for package grubby-8.40-57.fc36.armv7hl
=======================================================================================================================================================================================================================================
 Package                                               Architecture                                           Version                                                     Repository                                              Size
=======================================================================================================================================================================================================================================
Upgrading:
 grubby                                                armv7hl                                                8.40-64.fc36                                                updates                                                 32 k

Transaction Summary
=======================================================================================================================================================================================================================================
Upgrade  1 Package

Total size: 32 k
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] grubby-8.40-64.fc36.armv7hl.rpm: Already downloaded                                                                                                                                                                         
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction test error:
  file /usr/sbin/grubby from install of grubby-8.40-64.fc36.armv7hl conflicts with file from package grubby-deprecated-8.40-57.fc36.armv7hl
  file /usr/sbin/installkernel from install of grubby-8.40-64.fc36.armv7hl conflicts with file from package grubby-deprecated-8.40-57.fc36.armv7hl
  file /usr/share/man/man8/grubby.8.gz from install of grubby-8.40-64.fc36.armv7hl conflicts with file from package grubby-deprecated-8.40-57.fc36.armv7hl


Things are still broken with this update. Not all 32 bit arm systems use grub. Any that are setup to use extlinux are going to break with this update

Comment 5 Robbie Harwood 2022-08-18 16:29:31 UTC
Thanks @dgilmore - can you retest with -66 please?

Comment 6 Dennis Gilmore 2022-08-19 00:22:58 UTC
-66 looks to be okay

Comment 7 Fedora Update System 2022-08-19 01:12:35 UTC
FEDORA-2022-a3480ad0d3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a3480ad0d3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3480ad0d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-08-23 01:15:54 UTC
FEDORA-2022-a3480ad0d3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a3480ad0d3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a3480ad0d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-01 09:39:41 UTC
FEDORA-2022-a3480ad0d3 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.